com.lowagie.text.pdf.codec.wmf

## Class MetaBrush

- java.lang.Object
- - com.lowagie.text.pdf.codec.wmf.MetaObject
  - - com.lowagie.text.pdf.codec.wmf.MetaBrush

-     public class MetaBrush
      extends MetaObject

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BS_DIBPATTERN`
    `static int` | `BS_HATCHED`
    `static int` | `BS_NULL`
    `static int` | `BS_PATTERN`
    `static int` | `BS_SOLID`
    `(package private) java.awt.Color` | `color`
    `(package private) int` | `hatch`
    `static int` | `HS_BDIAGONAL`
    `static int` | `HS_CROSS`
    `static int` | `HS_DIAGCROSS`
    `static int` | `HS_FDIAGONAL`
    `static int` | `HS_HORIZONTAL`
    `static int` | `HS_VERTICAL`
    `(package private) int` | `style`

    - ### Fields inherited from class com.lowagie.text.pdf.codec.wmf.MetaObject

      `META_BRUSH, META_FONT, META_NOT_SUPPORTED, META_PEN, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetaBrush()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getColor()`
    `int` | `getHatch()`
    `int` | `getStyle()`
    `void` | `init(InputMeta in)`

    - ### Methods inherited from class com.lowagie.text.pdf.codec.wmf.MetaObject

      `getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BS_SOLID

          public static final int BS_SOLID

      See Also:
        Constant Field Values

    - #### BS_NULL

          public static final int BS_NULL

      See Also:
        Constant Field Values

    - #### BS_HATCHED

          public static final int BS_HATCHED

      See Also:
        Constant Field Values

    - #### BS_PATTERN

          public static final int BS_PATTERN

      See Also:
        Constant Field Values

    - #### BS_DIBPATTERN

          public static final int BS_DIBPATTERN

      See Also:
        Constant Field Values

    - #### HS_HORIZONTAL

          public static final int HS_HORIZONTAL

      See Also:
        Constant Field Values

    - #### HS_VERTICAL

          public static final int HS_VERTICAL

      See Also:
        Constant Field Values

    - #### HS_FDIAGONAL

          public static final int HS_FDIAGONAL

      See Also:
        Constant Field Values

    - #### HS_BDIAGONAL

          public static final int HS_BDIAGONAL

      See Also:
        Constant Field Values

    - #### HS_CROSS

          public static final int HS_CROSS

      See Also:
        Constant Field Values

    - #### HS_DIAGCROSS

          public static final int HS_DIAGCROSS

      See Also:
        Constant Field Values

    - #### style

          int style

    - #### hatch

          int hatch

    - #### color

          java.awt.Color color

  - ### Constructor Detail

    - #### MetaBrush

          public MetaBrush()

  - ### Method Detail

    - #### init

          public void init(InputMeta in)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getStyle

          public int getStyle()

    - #### getHatch

          public int getHatch()

    - #### getColor

          public java.awt.Color getColor()